%define bumblebeegroupid 65430
%define bumblebeeuserid 65430
Name:          bumblebee
Version:       3.2.1
Release:       2mamba
Summary:       A project aiming to support NVIDIA Optimus technology under Linux.
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.bumblebee-project.org
Source:        http://bumblebee-project.org/bumblebee-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbsd-devel
BuildRequires: libglib-devel
BuildRequires: libX11-devel
## AUTOBUILDREQ-END
Requires:      virtualgl
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A project aiming to support NVIDIA Optimus technology under Linux.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m0755 scripts/systemd/bumblebeed.service %{buildroot}%{_unitdir}/bumblebeed.service

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
if [ $1 -ge 1 ]; then
   /usr/sbin/groupadd bumblebee -g %{bumblebeegroupid} 2>/dev/null
   /usr/sbin/useradd -u %{bumblebeeuserid} -c 'Bumblebee user' -d /dev/null -g bumblebee \
      -s /bin/false bumblebee 2>/dev/null
fi
exit 0

%post
if [ $1 -ge 1 ]; then
   systemctl -q daemon-reload
fi
:

%preun
if [ $1 -eq 0 ]; then
   /usr/sbin/groupdel bumblebee 2>/dev/null
   /usr/sbin/userdel bumblebee 2>/dev/null
fi
exit 0

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/bumblebee/bumblebee.conf
%{_sysconfdir}/bash_completion.d/bumblebee
%{_sysconfdir}/bumblebee/xorg.conf.d/10-dummy.conf
#%{_sysconfdir}/bumblebee/xorg.conf.d/busid.conf
%{_sysconfdir}/bumblebee/xorg.conf.nouveau
%{_sysconfdir}/bumblebee/xorg.conf.nvidia
%{_bindir}/bumblebee-bugreport
%{_bindir}/optirun
%{_sbindir}/bumblebeed
%{_unitdir}/bumblebeed.service
/lib/udev/rules.d/99-bumblebee-nvidia-dev.rules
%{_datadir}/doc/bumblebee/README.markdown
%{_datadir}/doc/bumblebee/RELEASE_NOTES_*
%{_mandir}/man1/bumblebeed.1.gz
%{_mandir}/man1/optirun.1.gz
%doc COPYING

%changelog
* Sat Aug 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-2mamba
- provide systemd init script

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Fri Apr 26 2013 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Thu Apr 04 2013 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Fri Jul 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-1mamba
- package created by autospec
